org.eclipse.emf.compare.ide.ui.internal.logical.view

## Class LogicalModelViewLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.CellLabelProvider
      - - org.eclipse.jface.viewers.OwnerDrawLabelProvider
        - - org.eclipse.jface.viewers.StyledCellLabelProvider
          - - org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider
            - - org.eclipse.jface.viewers.DecoratingStyledCellLabelProvider
              - - org.eclipse.ui.internal.navigator.NavigatorDecoratingLabelProvider
                - - org.eclipse.emf.compare.ide.ui.internal.logical.view.LogicalModelViewLabelProvider

All Implemented Interfaces:
  EventListener, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableLabelProvider, org.eclipse.jface.viewers.IToolTipProvider

    public class LogicalModelViewLabelProvider
    extends org.eclipse.ui.internal.navigator.NavigatorDecoratingLabelProvider

LabelProvider for the logical model view.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider

`org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider`

### Field Summary

### Fields inherited from class org.eclipse.jface.viewers.StyledCellLabelProvider

`COLORS_ON_SELECTION, NO_FOCUS`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.jface.viewers.StyledString` `getStyledText(Object element)`

### Methods inherited from class org.eclipse.ui.internal.navigator.NavigatorDecoratingLabelProvider

`dispose, getColumnImage, getColumnText, getText, initialize, propertyChange, useNativeToolTip`

### Methods inherited from class org.eclipse.jface.viewers.DecoratingStyledCellLabelProvider

`addListener, getBackground, getDecorationContext, getDecorationStyle, getFont, getForeground, getImage, getLabelDecorator, isLabelProperty, removeListener, setDecorationContext, setLabelDecorator, update`

### Methods inherited from class org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider

`getStyledStringProvider, getToolTipText`

### Methods inherited from class org.eclipse.jface.viewers.StyledCellLabelProvider

`erase, getColumn, getViewer, isOwnerDrawEnabled, measure, paint, prepareStyleRange, setOwnerDrawEnabled, styleDecoratedString`

### Methods inherited from class org.eclipse.jface.viewers.OwnerDrawLabelProvider

`dispose, initialize, setOwnerDrawEnabled, setUpOwnerDraw`

### Methods inherited from class org.eclipse.jface.viewers.CellLabelProvider

`getToolTipBackgroundColor, getToolTipDisplayDelayTime, getToolTipFont, getToolTipForegroundColor, getToolTipImage, getToolTipShift, getToolTipStyle, getToolTipTimeDisplayed`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`fireLabelProviderChanged`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.ILabelProvider

`getImage`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

### Method Detail

#### getStyledText

    protected org.eclipse.jface.viewers.StyledString getStyledText(Object element)

Overrides:
  `getStyledText` in class `org.eclipse.jface.viewers.DecoratingStyledCellLabelProvider`